// Start editable section/////////////////////////////////////////////////////////
// Change classnames for different aircraft //////////////////////////////////////
// http://forums.bistudio.com/showthread.php?t=73241 for additional class names //
//////////////////////////////////////////////////////////////////////////////////

// type of plane for fixed wing missions
airSupFXD = "A10_US_EP1";

// type of plane for air drop
airSupDROP = "C130J_US_EP1";

// type of parachute to use for air drop
AirDropChute = "ParachuteMediumWest_EP1";

// type of ammo crate to use for air drop
AirDropCrate = "USBasicAmmunitionBox_EP1";

// type of vehicle for air drop
AirDropVeh = "HMMWV_M1151_M2_DES_EP1";

// use custom crate fill script? True or false
AirDropCustom = false;

//script to load if above variable is = true
fnc_crate_fill =
	{
	private["_crateobject"];
	_crateobject = _this select 0;
		
	// change this line to exec a script or enter code here instead
	null = [_crateobject] execVM "script.sqf";
	};

// type of chopper for CAS missions
airSupROT = "AH64D_EP1";

// type of chopper for transport missions
airSupTRN = "UH60M_EP1";

// type of unit to use as pilot
airSupPIL = "US_Pilot_Light_EP1";

// bomb model for fixed wing air strikes
airSupBomb = "Bo_GBU12_LGB";

///////////////////////////////////////////
// Number of times support can be called //
///////////////////////////////////////////

// helo (transport & CAS)
ASnumHEL = 5;

// fixed wing (CSA, JDAM, CBU)
ASnumFIX = 5;

// Artillery Missions
ARnumMissions = 3;

//change to duration of CAS support
ASdurationCAS = 120;

// Wait between artillery and another request being made available
ARdurationWait = 120;

//change to side that support will be allied to
ASside = west;

//////////////////////////
// end editable section //
//////////////////////////

// define remaining global variables 
	headquarters=[West,"HQ"];
	IPAS = false;
	ASclick = false;
	ASHEL = 0;
	ASFIX = 0;
	ARMissions = 0;
	firstloop = false;

// function for bomb fall
fnc_nofricgrav =
			{
			private["_b","_vx","_vy","_vz"];
			_b = _this select 0;
			_vx = _this select 1;
			_vy = _this select 2;
			_vz = 0;
				
				while {!isNull _b} do 
				{
				_b setVelocity [_vx,_vy,_vz];
				_vz = _vz - 10.3*0.3;
				sleep 0.27;
				};
					
			if(true)exitWith{};
			};
			
// function to update markers
fnc_update_marker = 
			{
			private["_plane","_marker"];
			_plane = _this select 0;
			_marker = _this select 1;
				
				while {IPAS} do 
				{
				_marker setMarkerPos (getPos _plane);
				sleep 0.5;
				};
			
			if(true)exitWith{deletemarker _marker};		
			};
					
// fnc to call artillery shot & splash
fnc_shot_splash = 
			{
			sleep 5;
			waitUntil{m119Batt getVariable "ARTY_SHOTCALLED"};   
			[headquarters,"Shot, over"] call fnc_net_message;	
			sleep 2;
			[s1,"Shot, out"] call fnc_net_message;	
			waitUntil{m119Batt getVariable "ARTY_SPLASH"};
			[headquarters,"Splash, over"] call fnc_net_message;	
			sleep 2;
			[s1,"Splash, out"] call fnc_net_message;	
			};
			
// fnc to call artillery rounds complete
fnc_rounds_complete = 
			{
			sleep 5;
			waitUntil{m119Batt getVariable "ARTY_COMPLETE"};    
			[headquarters,"Rounds complete"] call fnc_net_message;
			sleep ARdurationWait;
			IPAS = false;
			publicVariable "IPAS";
			[headquarters,"Artillery mission complete"] call fnc_net_message;
			deleteMarker "asloc";	
			};
			
// fnc to call network radio messages
fnc_net_message = 
			{
			private ["_unit","_message"];
			_unit = _this select 0;
			_message = _this select 1;
			// broadcast PV
			Sup_clientchat = [_unit,_message];
			publicVariable "Sup_clientchat";
			// run on current machine also
			_unit sideChat _message; 
			};	



// setup public variables for sideChat
if (isNil "Sup_client") then
	{
      Sup_clientchat = [objNull, 0];
	}; 

"Sup_clientchat" addPublicVariableEventHandler 
    	{	
   	private["_array"];
   	_array = _this select 1;	    
	    
	(_array select 0) sideChat (_array select 1); 
	};				
if(true)exitwith{};